searchNodes=[{"doc":"Generates a migration to add a composite type called :tempus_slot to a Postgres database. The :tempus_slot type created is a composite type and therefore may not be supported in other databases.","ref":"Mix.Tasks.Tempus.Gen.Postgres.TempusSlot.html","title":"Mix.Tasks.Tempus.Gen.Postgres.TempusSlot","type":"task"},{"doc":"Provides several helpers to query DB for the Tempus.Slot type. Under the hood it delegates to Ecto.Query.API.fragment/1 , but might be helpful for compile-type sanity check for typos and better language server support. It is also designed to be an implementation-agnostic, meaning one can use these helpers without a necessity to explicitly specify a backing type. The default implementation recommends a Composite adapter, which is used by default. To use it with, say, MySQL , one should implement this behaviour for MySQL and declare the implementation as use Tempus.Ecto.Query.API, adapter: MyImpl.MySQL.Adapter Although the library provides the MySQL adapter too ( Tempus.Ecto.Query.API.Map.MySQL ,) but it is not actively maintained, so use it on your own. If for some reason you use Map type with Postgres , helpers are still available with use Tempus.Ecto.Query.API, adapter: Tempus.Ecto.Query.API.Map.Postgres","ref":"Tempus.Ecto.Query.API.html","title":"Tempus.Ecto.Query.API","type":"behaviour"},{"doc":"Native implementation of how to retrieve from part of the slot from the DB. For Postgres , it delegates to the function on the composite type, for other implementation it should return a Ecto.Query.API.fragment/1 .","ref":"Tempus.Ecto.Query.API.html#c:slot_from/1","title":"Tempus.Ecto.Query.API.slot_from/1","type":"macrocallback"},{"doc":"Native implementation of how to retrieve to part of the slot from the DB. For Postgres , it delegates to the function on the composite type, for other implementation it should return a Ecto.Query.API.fragment/1 .","ref":"Tempus.Ecto.Query.API.html#c:slot_to/1","title":"Tempus.Ecto.Query.API.slot_to/1","type":"macrocallback"},{"doc":"Ecto.Query.API helper, allowing to filter records having the same currency. Example: iex&gt; ...&gt; Occasion ...&gt; |&gt; where ( [ o ] , started_after ( o . initial , ^ ~U[2023-01-01 00:00:00Z] ) ) ...&gt; |&gt; select ( [ o ] , o . initial ) ...&gt; |&gt; Repo . all ( ) [ % Tempus.Slot { from : ~U[2023-04-07 00:00:00Z] , to : ~U[2023-04-10 23:59:59.999999Z] } ]","ref":"Tempus.Ecto.Query.API.html#started_after/2","title":"Tempus.Ecto.Query.API.started_after/2","type":"macro"},{"doc":"The set of functions bringing DB support to Tempus library. Start with adding the tempus_sql dependency to your project. def deps do [ { :tempus_sql , &quot;~&gt; 0.1&quot; } ] end Generate a migration to add a custom type to your Postgres DB. $ mix tempus.gen.postgres.tempus_slot Create a schema which would use the type. schema &quot;meetings&quot; do field :name , :string field :slot , Tempus.Ecto.Composite.Type timestamps ( ) end def changeset ( meeting , params \\\\ %{ } ) , do : cast ( meeting , params , [ :slot ] ) For custom queries see Tempus.Ecto.Query.API .","ref":"Tempus.SQL.html","title":"Tempus.SQL","type":"module"},{"doc":"Implements the Ecto.Type behaviour for a user-defined postgres composite type called :tempus_slot to store instances of Tempus.Slot . This type is preferred over Tempus.Ecto.Map.Type unless there is no way to use composite types (e. g. MySQL database.)","ref":"Tempus.Ecto.Composite.Type.html","title":"Tempus.Ecto.Composite.Type","type":"module"},{"doc":"","ref":"Tempus.Ecto.Composite.Type.html#cast/1","title":"Tempus.Ecto.Composite.Type.cast/1","type":"function"},{"doc":"","ref":"Tempus.Ecto.Composite.Type.html#cast_type/1","title":"Tempus.Ecto.Composite.Type.cast_type/1","type":"function"},{"doc":"","ref":"Tempus.Ecto.Composite.Type.html#embed_as/1","title":"Tempus.Ecto.Composite.Type.embed_as/1","type":"function"},{"doc":"","ref":"Tempus.Ecto.Composite.Type.html#equal?/2","title":"Tempus.Ecto.Composite.Type.equal?/2","type":"function"},{"doc":"Implements Ecto.Type behaviour for Tempus.Slot , where the underlying schema type is a map. This is the required option for databases such as MySQL that do not support composite types.","ref":"Tempus.Ecto.Map.Type.html","title":"Tempus.Ecto.Map.Type","type":"module"},{"doc":"See Tempus.Ecto.Composite.Type.cast/1 .","ref":"Tempus.Ecto.Map.Type.html#cast/1","title":"Tempus.Ecto.Map.Type.cast/1","type":"function"},{"doc":"Callback implementation for Ecto.ParameterizedType.cast/2 .","ref":"Tempus.Ecto.Map.Type.html#cast/2","title":"Tempus.Ecto.Map.Type.cast/2","type":"function"},{"doc":"Callback implementation for Ecto.ParameterizedType.dump/3 .","ref":"Tempus.Ecto.Map.Type.html#dump/3","title":"Tempus.Ecto.Map.Type.dump/3","type":"function"},{"doc":"See Tempus.Ecto.Composite.Type.embed_as/1 .","ref":"Tempus.Ecto.Map.Type.html#embed_as/1","title":"Tempus.Ecto.Map.Type.embed_as/1","type":"function"},{"doc":"See Tempus.Ecto.Composite.Type.equal?/2 .","ref":"Tempus.Ecto.Map.Type.html#equal?/2","title":"Tempus.Ecto.Map.Type.equal?/2","type":"function"},{"doc":"Callback implementation for Ecto.ParameterizedType.init/1 .","ref":"Tempus.Ecto.Map.Type.html#init/1","title":"Tempus.Ecto.Map.Type.init/1","type":"function"},{"doc":"Callback implementation for Ecto.ParameterizedType.load/3 .","ref":"Tempus.Ecto.Map.Type.html#load/3","title":"Tempus.Ecto.Map.Type.load/3","type":"function"},{"doc":"Callback implementation for Ecto.ParameterizedType.type/1 .","ref":"Tempus.Ecto.Map.Type.html#type/1","title":"Tempus.Ecto.Map.Type.type/1","type":"function"},{"doc":"Ecto/SQL backend to use with Tempus library","ref":"readme.html","title":"TempusSQL","type":"extras"},{"doc":"def deps do [ { :tempus_sql , &quot;~&gt; 0.1&quot; } ] end","ref":"readme.html#installation","title":"TempusSQL - Installation","type":"extras"},{"doc":"0.1.0 — initial version, Tempus.Ecto.Query.API.started_after/2","ref":"readme.html#changelog","title":"TempusSQL - Changelog","type":"extras"},{"doc":"","ref":"readme.html#documentation","title":"TempusSQL - Documentation","type":"extras"}]